org.jboss.netty.handler.codec.spdy

## Interface SpdyDataFrame

All Known Implementing Classes:
  DefaultSpdyDataFrame

    public interface SpdyDataFrame

A SPDY Protocol Data Frame

### Method Summary

Methods
`ChannelBuffer` `getData()` Returns the data payload of this frame.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()` Deprecated. Use `getStreamId()` instead.
`boolean` `isCompressed()` Deprecated. Removed from SPDY specification.
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`void` `setCompressed(boolean compressed)` Deprecated. Removed from SPDY specification.
`void` `setData(ChannelBuffer data)` Sets the data payload of this frame.
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setStreamId(int streamID)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamID)` Deprecated. Use `setStreamId(int)` instead.

### Method Detail

#### getStreamID

    @Deprecated
    int getStreamID()

Deprecated. Use `getStreamId()` instead.

#### getStreamId

    int getStreamId()

Returns the Stream-ID of this frame.

#### setStreamID

    @Deprecated
    void setStreamID(int streamID)

Deprecated. Use `setStreamId(int)` instead.

#### setStreamId

    void setStreamId(int streamID)

Sets the Stream-ID of this frame. The Stream-ID must be positive.

#### isLast

    boolean isLast()

Returns `true` if this frame is the last frame to be transmitted on the stream.

#### setLast

    void setLast(boolean last)

Sets if this frame is the last frame to be transmitted on the stream.

#### isCompressed

    @Deprecated
    boolean isCompressed()

Deprecated. Removed from SPDY specification.

#### setCompressed

    @Deprecated
    void setCompressed(boolean compressed)

Deprecated. Removed from SPDY specification.

#### getData

    ChannelBuffer getData()

Returns the data payload of this frame. If there is no data payload `ChannelBuffers.EMPTY_BUFFER` is returned.

#### setData

    void setData(ChannelBuffer data)

Sets the data payload of this frame. If `null` is specified, the data payload will be set to `ChannelBuffers.EMPTY_BUFFER`. The data payload cannot exceed 16777215 bytes.